Bug 142195 - gtk apps crash (segfault) on window destroy
gtk apps crash (segfault) on window destroy
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
2
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-07 20:11 EST by cookie
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-11 11:52:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description cookie 2004-12-07 20:11:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
After updating my system via the redhat notification icon thing on 6
December, i started having gtk apps crash when i closed any window. In
The Gimp, it crashed when i closed the tip of the day. In gaim, it
crashed when i close an IM window, the accounts manager, or even an
email alert window (I originally found this in gaim, but checked it
with the gimp to see if it was gaim or something common - like gtk). I
normally use kde, and when someone suggested that i try gnome to see
if it's a wm issue, gnome wouldn't even start. I would log in, X would
restart and i would be dumped back into the login screen - no gnome at
all. 

Version-Release number of selected component (if applicable):
gtk2-2.4.14-1.fc2.i386.rpm

How reproducible:
Always

Steps to Reproduce:
1. After applying the updates, I just started gaim
2. Opened the account manager and changed what i wanted
3. Clicked close
4. Cursed at the crash and started gaim again. Goto 2.

Actual Results:  apps were crashing a lot with regular use. 

Expected Results:  the apps to run normally

Additional info:

here's a backtrace i got when i was running gdb on gaim: 

#0 0x09cd95f9 in ?? ()
#1 0x009df799 in gtk_item_factory_set_translate_func ()
from /usr/lib/libgtk-x11-2.0.so.0
#2 0x003bcaaf in g_list_foreach () from
/usr/lib/libglib-2.0.so.0
#3 0x009df834 in gtk_item_factory_set_translate_func ()
from /usr/lib/libgtk-x11-2.0.so.0
#4 0x00b0918b in gtk_window_parse_geometry ()
from /usr/lib/libgtk-x11-2.0.so.0
#5 0x00b0479e in gtk_window_reshow_with_initial_size ()
from /usr/lib/libgtk-x11-2.0.so.0
#6 0x00300661 in g_cclosure_marshal_VOID__VOID ()
from /usr/lib/libgobject-2.0.so.0
#7 0x002ec4f7 in g_cclosure_new_swap () from
/usr/lib/libgobject-2.0.so.0
#8 0x002ec160 in g_closure_invoke () from
/usr/lib/libgobject-2.0.so.0
#9 0x002ffd86 in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
#10 0x002ff127 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
#11 0x002ff424 in g_signal_emit () from
/usr/lib/libgobject-2.0.so.0
#12 0x00a14a15 in gtk_object_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
#13 0x00afc69f in gtk_widget_get_default_direction ()
from /usr/lib/libgtk-x11-2.0.so.0
#14 0x00b01eb2 in gtk_window_remove_embedded_xid ()
from /usr/lib/libgtk-x11-2.0.so.0
#15 0x002eea57 in g_object_run_dispose () from
/usr/lib/libgobject-2.0.so.0
#16 0x00a14949 in gtk_object_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
#17 0x00af49d5 in gtk_widget_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
#18 0x005079c1 in gaim_gtk_account_dialog_show () from
/usr/bin/gaim
#19 0x00300661 in g_cclosure_marshal_VOID__VOID ()
from /usr/lib/libgobject-2.0.so.0
#20 0x002ec160 in g_closure_invoke () from
/usr/lib/libgobject-2.0.so.0
#21 0x00300168 in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
#22 0x002ff127 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
#23 0x002ff424 in g_signal_emit () from
/usr/lib/libgobject-2.0.so.0
#24 0x0093a895 in gtk_button_clicked () from
/usr/lib/libgtk-x11-2.0.so.0
#25 0x0093b8ab in gtk_button_get_relief () from
/usr/lib/libgtk-x11-2.0.so.0
#26 0x00300661 in g_cclosure_marshal_VOID__VOID ()
from /usr/lib/libgobject-2.0.so.0
#27 0x002ec4f7 in g_cclosure_new_swap () from
/usr/lib/libgobject-2.0.so.0
#28 0x002ec160 in g_closure_invoke () from
/usr/lib/libgobject-2.0.so.0
#29 0x002ff991 in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
#30 0x002ff127 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
#31 0x002ff424 in g_signal_emit () from
/usr/lib/libgobject-2.0.so.0
#32 0x0093a7e5 in gtk_button_released () from
/usr/lib/libgtk-x11-2.0.so.0
#33 0x0093b72b in gtk_button_get_relief () from
/usr/lib/libgtk-x11-2.0.so.0
#34 0x009f7d64 in gtk_marshal_VOID__UINT_STRING ()
from /usr/lib/libgtk-x11-2.0.so.0
#35 0x002ec4f7 in g_cclosure_new_swap () from
/usr/lib/libgobject-2.0.so.0
#36 0x002ec160 in g_closure_invoke () from
/usr/lib/libgobject-2.0.so.0
#37 0x002ffb95 in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
#38 0x002feefe in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
#39 0x002ff424 in g_signal_emit () from
/usr/lib/libgobject-2.0.so.0
#40 0x00af7655 in gtk_widget_send_expose () from
/usr/lib/libgtk-x11-2.0.so.0
#41 0x009f6302 in gtk_propagate_event () from
/usr/lib/libgtk-x11-2.0.so.0
#42 0x009f5056 in gtk_main_do_event () from
/usr/lib/libgtk-x11-2.0.so.0
#43 0x00d22045 in gdk_x11_register_standard_event_type ()
from /usr/lib/libgdk-x11-2.0.so.0
#44 0x003bf252 in g_main_depth () from
/usr/lib/libglib-2.0.so.0
#45 0x003c0348 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#46 0x003c0680 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#47 0x003c0cc3 in g_main_loop_run () from
/usr/lib/libglib-2.0.so.0
#48 0x009f4923 in gtk_main () from
/usr/lib/libgtk-x11-2.0.so.0
#49 0x0055e170 in main () from /usr/bin/gaim
Comment 1 cookie 2004-12-07 20:12:17 EST
Sorry, not crashing when i close "any" window, but when I closed any
gtk app window. 
Comment 2 Matthew Miller 2005-04-26 11:19:36 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 Matthias Clasen 2005-07-11 11:52:49 EDT
Closing FC2 NEEDINFO bugs which have not been updated to FC3/FC4/FC5

Note You need to log in before you can comment on or make changes to this bug.